Package com.google.earth.kml._2

# Class LineStyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.ColorStyleType
com.google.earth.kml._2.LineStyleType

public class LineStyleType extends ColorStyleType
<p>Java class for LineStyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LineStyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ColorStyleType"> <sequence> <element name="width" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Float`
  `width`

  ### Fields inherited from class com.google.earth.kml._2.ColorStyleType

  `color, colorMode`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineStyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Float`
  `getWidth()`
  Gets the value of the width property.
  `void`
  `setWidth(Float value)`
  Sets the value of the width property.

  ### Methods inherited from class com.google.earth.kml._2.ColorStyleType

  `getColor, getColorMode, setColor, setColorMode`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### width

    protected Float width

- ## Constructor Details

  - ### LineStyleType

    public LineStyleType()

- ## Method Details

  - ### getWidth

    public Float getWidth()
    Gets the value of the width property.
    Returns:
      possible object is `Float`

  - ### setWidth

    public void setWidth(Float value)
    Sets the value of the width property.
    Parameters:
      `value` - allowed object is `Float`